Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 221693 - ttyS0 hangs during initial data transfer
Summary: ttyS0 hangs during initial data transfer
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-01-06 07:03 UTC by Greg Guldenschuh
Modified: 2008-02-08 04:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:25:53 UTC


Attachments (Terms of Use)

Description Greg Guldenschuh 2007-01-06 07:03:18 UTC
Description of problem:  This problem is in both FC5 and FC6 x86_64 NON ZEN
VERSION.  Running Hylafax on ttyS0, as soon as Hylafax answers the phone and
data transfer begins from the remote fax, the port appears to hang and nothing
will free it up.


Version-Release number of selected component (if applicable): FC5 and FC6 x86_64
NON Zen


How reproducible: Happens every time


Steps to Reproduce:
1.install either FC5 or FC6 x86_64 non Zen
2.install Hylafax and fax modem on ttyS0
3.send fax to Hylafax
  
Actual results: port appears to hang and remote fax gets line error.  


Expected results:


Additional info:  Dropping back to FC5 i386 completely eliminates the problem. 
Due to time constraints, I did not try FC6 i386.  The Zen version on FC6 x86_64
would not even recognize the serial port, but I believe that issue is addressed
in another report.  I would recommend checking FC6 x86_64 Zen to insure the
problem is not there once we get past the Zen taking over ttyS0 issue.

Comment 1 Jon Stanley 2008-01-08 01:48:16 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 2 Jon Stanley 2008-02-08 04:25:53 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.